using System;
using System.Drawing;

using MindFusion.Diagramming;
using MindFusion.Diagramming.Layout;


public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Diagram diagram = diagramView.Diagram;

            // Set-up the diagram
            diagram.BackBrush = new MindFusion.Drawing.SolidBrush(Color.White);
            diagram.ShapeNodeStyle.Brush = new MindFusion.Drawing.SolidBrush(Color.Transparent);
			diagram.ShapeNodeStyle.Stroke = new MindFusion.Drawing.SolidBrush(Color.Transparent);
            diagram.LinkHeadShape = ArrowHeads.Arrow;
            diagram.LinkBaseShape = ArrowHeads.Arrow;
            diagram.LinkHeadShapeSize = 1.5f;
            diagram.LinkBaseShapeSize = 1.5f;

            // Create nodes
            ShapeNode rootNode = diagram.Factory.CreateShapeNode(0, 0, 45, 45);
            rootNode.ImageUrl = "./Images/pic1.png";

            for (int i = 0; i < 5; i++)
            {
                ShapeNode wanNode = diagram.Factory.CreateShapeNode(0, 0, 30, 30);
                wanNode.ImageUrl = "./Images/pic3.png";
                diagram.Factory.CreateDiagramLink(rootNode, wanNode);
                for (int j = 0; j < 10; j++)
                {
                    ShapeNode lanNode = diagram.Factory.CreateShapeNode(0, 0, 20, 20);
                    lanNode.ImageUrl = "./Images/pic4.png";
                    diagram.Factory.CreateDiagramLink(wanNode, lanNode);
                    for (int k = 0; k < 10; k++)
                    {
                        ShapeNode clientNode = diagram.Factory.CreateShapeNode(0, 0, 15, 15);
                        clientNode.ImageUrl = (k % 7 == 0) ? "./Images/pic2.png" : "./Images/pic0.png";
                        diagram.Factory.CreateDiagramLink(lanNode, clientNode);
                    }
                }
            }

            FractalLayout layout = new FractalLayout();
            layout.Arrange(diagram);
            diagram.ResizeToFitItems(10f);
            diagramView.ZoomFactor = 20f;
        }
    }
}